//
// To compile, use the following command:
//   csc /t:library BorCon2003.cs
//
// After a successful compile, copy the BorCon2003.dll
// into the same directory as the Delphi and/or C#
// source code.
//

using System;

namespace RickRoss.BorCon2003
{
  public interface IExample1
  {
    void SetValue( int aNewValue );
    int  GetValue();
  }

  public interface IExample1Factory
  {
    IExample1 GetNewInstance();
    IExample1 GetNewInstance( int anInitialValue );
  }
}